//
//  PRPSplashScreenViewController.h
//  BasicSplashScreen
//
//  Created by Matt Drance on 10/1/10.
//  Copyright 2010 Bookhouse Software, LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol PRPSplashScreenDelegate;

// START:Interface
@interface PRPSplashScreenViewController : UIViewController {}

@property (nonatomic, retain) UIImage *splashImage;
@property (nonatomic, assign) id <PRPSplashScreenDelegate> delegate;

- (void)showInWindow:(UIWindow *)window;
- (void)performTransition;

@end
// END:Interface

// START:Delegate
@protocol PRPSplashScreenDelegate <NSObject>

@optional
- (void)splashScreenDidAppear:(PRPSplashScreenViewController *)splashScreen;
- (void)splashScreenWillDisappear:(PRPSplashScreenViewController *)splashScreen;
- (void)splashScreenDidDisappear:(PRPSplashScreenViewController *)splashScreen;

@end
// END:Delegate